|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QCommandLinkButton Class Reference
[QtGui module]

The QCommandLinkButton widget provides a Vista style command link button. More...

     #include <QCommandLinkButton>

Inherits QPushButton.

This class was introduced in Qt 4.4.

- List of all members, including inherited members

### Properties

- description : QString
- flat : const bool

- 3 properties inherited from QPushButton
- 11 properties inherited from QAbstractButton
- 57 properties inherited from QWidget
- 1 property inherited from QObject

### Public Functions

- QCommandLinkButton ( QWidget * parent = 0 )
- QCommandLinkButton ( const QString & text, QWidget * parent = 0 )
- QCommandLinkButton ( const QString & text, const QString & description, QWidget * parent = 0 )
- QString description () const
- void setDescription ( const QString & description )

- 8 public functions inherited from QPushButton
- 21 public functions inherited from QAbstractButton
- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 14 public functions inherited from QPaintDevice

### Additional Inherited Members

- 1 public slot inherited from QPushButton
- 5 public slots inherited from QAbstractButton
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 signals inherited from QAbstractButton
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 1 static public member inherited from QPaintDevice
- 1 protected function inherited from QPushButton
- 3 protected functions inherited from QAbstractButton
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The QCommandLinkButton widget provides a Vista style command link button.

The command link is a new control that was introduced by Windows Vista. It's intended use is similar to that of a radio button in that it is used to choose between a set of mutually exclusive options. Command link buttons should not be used by themselves but rather as an alternative to radio buttons in Wizards and dialogs and makes pressing the "next" button redundant. The appearance is generally similar to that of a flat pushbutton, but it allows for a descriptive text in addition to the normal button text. By default it will also carry an arrow icon, indicating that pressing the control will open another window or page.

See also QPushButton and QRadioButton.

## Property Documentation

### description : QString

This property holds a descriptive label to complement the button text.

Setting this property will set a descriptive text on the button, complementing the text label. This will usually be displayed in a smaller font than the primary text.

Access functions:

- QString description () const
- void setDescription ( const QString & description )

### flat : const bool

This property holds this property determines whether the button is displayed as a flat panel or with a border.

By default, this property is set to false.

See also QPushButton::flat.

## Member Function Documentation

### QCommandLinkButton::QCommandLinkButton ( QWidget * parent = 0 )

Constructs a command link with no text and a parent.

### QCommandLinkButton::QCommandLinkButton ( const QString & text, QWidget * parent = 0 )

Constructs a command link with the parent parent and the text text.

### QCommandLinkButton::QCommandLinkButton ( const QString & text, const QString & description, QWidget * parent = 0 )

Constructs a command link with a text, a description, and a parent.